org.eclipse.emf.facet.util.jface.ui.imageprovider

## Interface IImageProviderFactory

Deprecated.
replaced by `IImageProviderFactory`

    @Deprecated
    public interface IImageProviderFactory

JFace Image Provider Factory

Since:
  0.4.0
Noimplement:
  This interface is not intended to be implemented by clients.
Noextend:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static IImageProviderFactory` `DEFAULT` Deprecated.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`IImageProvider` `createIImageProvider(Plugin plugin)` Deprecated. Create a new Image Provider Factory.

### Field Detail

#### DEFAULT

    static final IImageProviderFactory DEFAULT

Deprecated.

### Method Detail

#### createIImageProvider

    IImageProvider createIImageProvider(Plugin plugin)

Deprecated.
Create a new Image Provider Factory. Factories are cached with plugin instances.

Parameters:
  `plugin` - Current plugin which wants an image provider
Returns:
  An image provider factory